# $Revision: 1.837.2.42.2.49.2.94 $, $Date: 2010/07/20 05:40:35 $
#
# TODO:
# pluto_> btw. /usr/lib/rpm/find-debuginfo.sh needs fix. it extract debuginfo also from kernel modules.
# pluto_> there's a filelist=$(find $RPM_BUILD_ROOT ! -path "$RPM_BUILD_ROOT/usr/lib/debug/*.debug" -type f
# pluto_> and we need to add ! -path /lib/modules/...
# - python(abi) cap is not provided automatically because /usr/lib*/libpython2*.so.*
#   matches ELF first
# - repackaging when lzma is not installed (todo: fix digest signature of header)
#   rpmbuild computes digest when writing package to temporary file, then adds a few
#   tags (incl. digest) and writes whole package to destination file;
#   repackaging uses unchanged "immutable header" image from original rpm, also
#   preserving payload format and compressor from original rpm, _not_ current settings
#   /usr/bin/install: cannot stat `./it.gmo': No such file or directory
#   /usr/bin/install: cannot stat `./sr@Latn.gmo': No such file or directory
# - maybe? http://rpm.org/gitweb?p=rpm.git;a=commitdiff;h=cfcd1f9bd98d5d0fc46a84931984efec3b9d47e2
# - fix linking, rpm is beeing linked against installed rpmio
#
# Conditional build:
%bcond_with	static		# build static rpm+rpmi
%bcond_without	apidocs		# don't generate documentation with doxygen
%bcond_with		internal_db		# internal db (db 4.5.20)
%if "%{pld_release}" == "ac"
%bcond_without	autoreqdep	# autogenerate package name deps in addition to sonames/perl(X)
%bcond_with		nptl			# internal db: don't use process-shared POSIX mutexes (NPTL provides full interface)
%else
%bcond_with		autoreqdep	# autogenerate package name deps in addition to sonames/perl(X)
%bcond_without	nptl			# internal db: don't use process-shared POSIX mutexes (NPTL provides full interface)
%endif
%bcond_without	python		# don't build python bindings
%bcond_without	selinux		# build without selinux support
%bcond_without	system_libmagic	# don't use system libmagic
%bcond_without	suggest_tags	# build without Suggest tag (bootstrapping)
%bcond_with	neon		# build with HTTP/WebDAV support (neon library). NOTE: neon libs are in /usr!
# force_cc		- force using __cc other than "%{_target_cpu}-pld-linux-gcc"
# force_cxx		- force using __cxx other than "%{_target_cpu}-pld-linux-g++"
# force_cpp		- force using __cpp other than "%{_target_cpu}-pld-linux-gcc -E"

%ifarch sparc sparcv9 sparc64
%undefine with_apidocs
%endif

# versions of required libraries
%if "%{pld_release}" == "th"
%define	reqdb_ver	4.7.25
%else
%define	reqdb_ver	4.5.20
%endif
%define	reqpopt_ver	1.10.8
%define	beecrypt_ver	2:4.1.2-4
%define	sover		4.5
Summary:	RPM Package Manager
Summary(de.UTF-8):	RPM Packet-Manager
Summary(es.UTF-8):	Gestor de paquetes RPM
Summary(pl.UTF-8):	Aplikacja do zarządzania pakietami RPM
Summary(pt_BR.UTF-8):	Gerenciador de pacotes RPM
Summary(ru.UTF-8):	Менеджер пакетов от RPM
Summary(uk.UTF-8):	Менеджер пакетів від RPM
Name:		rpm
Version:	4.5
Release:	43
License:	LGPL
Group:		Base
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	6b4cda21de59dc250d2e33e4187fd166
Source1:	%{name}.groups
Source2:	%{name}.platform
Source3:	%{name}-install-tree
Source4:	%{name}-find-spec-bcond
Source5:	%{name}-hrmib-cache
Source6:	%{name}-groups-po.awk
Source7:	%{name}-compress-doc
Source8:	ftp://ftp.pld-linux.org/dists/th/PLD-3.0-Th-GPG-key.asc
# Source8-md5:	08b29584dd349aac9caa7610131a0a88
Source9:	ftp://ftp.pld-linux.org/dists/ac/PLD-2.0-Ac-GPG-key.asc
# Source9-md5:	8e7574d1de2fa95c2c54cd2ee03364c1
Source10:	%{name}-php-provides
Source11:	%{name}-php-requires
Source12:	%{name}.sysinfo
Source13:	perl.prov
Source14:	%{name}-user_group.sh
Source15:	%{name}.sysconfig
Source16:	%{name}-macros.java
Source17:	%{name}-java-requires
# http://svn.pld-linux.org/banner.sh/
Source18:	banner.sh
Source19:	%{name}-macros.gstreamer
Patch1000:	%{name}-new-debuginfo.patch
Patch1067:	%{name}-disable-features.patch
Patch1070:	%{name}-rpmrc-ac.patch
#Patch0:	%{name}-pl.po.patch
Patch1:		%{name}-rpmrc.patch
Patch2:		%{name}-arch.patch
Patch3:		%{name}-rpmpopt.patch
Patch4:		%{name}-perl-macros.patch
Patch6:		%{name}-noexpand.patch
Patch7:		%{name}-scripts-closefds.patch
Patch8:		%{name}-db.patch
Patch9:		%{name}-gettext-in-header.patch
Patch10:	%{name}-compress-doc.patch
Patch11:	%{name}-rpm5-patchset-8074.patch
Patch12:	%{name}-system_libs.patch
Patch13:	%{name}-unglobal.patch
Patch14:	%{name}-etc_dir.patch
Patch15:	%{name}-system_libs-more.patch
Patch17:	%{name}-ldconfig-always.patch
Patch18:	%{name}-macros-ac.patch
Patch19:	%{name}-macros-th.patch
Patch20:	%{name}-macros-ti.patch
Patch21:	%{name}-perl_req-skip_multiline.patch
Patch22:	%{name}-provides-dont-obsolete.patch
Patch23:	%{name}-pkgconfigdeps.patch
Patch24:	%{name}-po.patch
Patch25:	%{name}-link.patch
Patch26:	%{name}-notsc.patch
Patch27:	%{name}-hack-norpmlibdep.patch
Patch28:	%{name}-makefile-no_myLDADD_deps.patch
Patch29:	%{name}-perl_req-use_base.patch
Patch31:	%{name}-missing-prototypes.patch
Patch32:	%{name}-pld-autodep.patch
Patch33:	%{name}-arch-x86_64.patch
Patch34:	%{name}-epoch0.patch
Patch35:	%{name}-disable-features-ti.patch
Patch36:	%{name}-debuginfo.patch
Patch37:	%{name}-doxygen_hack.patch
Patch39:	%{name}-popt-coreutils.patch
Patch42:	%{name}-old-fileconflicts-behaviour.patch
Patch43:	%{name}-rpm5-patchset-8637.patch
Patch44:	%{name}-no-neon.patch
Patch45:	%{name}-no-sqlite.patch
Patch48:	%{name}-nopie.patch
Patch50:	%{name}-macros.patch
Patch51:	%{name}-cleanlibdirs.patch
Patch52:	%{name}-morearchs.patch
Patch53:	%{name}-chroot-hack.patch
Patch55:	%{name}-truncate-cvslog.patch
Patch56:	%{name}-rpm5-patchset-8413.patch
Patch57:	%{name}-as_needed-fix.patch
Patch58:	%{name}-repackage-wo-lzma.patch
Patch59:	%{name}-libtool-deps.patch
Patch61:	%{name}-lzma-mem.patch
Patch62:	%{name}-lzma-size_t.patch
Patch63:	%{name}-tar_as_secondary_source.patch
Patch64:	%{name}-man_pl.patch
Patch65:	%{name}-lzma-tukaani.patch
Patch66:	%{name}-v3-support.patch
Patch67:	%{name}-cleanbody.patch
Patch69:	%{name}-popt-aliases.patch
# reverse arrows patch
Patch70:	%{name}-rpm5-patchset-10061.patch
Patch71:	%{name}-installbeforeerase.patch
Patch72:	%{name}-postun-nofail.patch
Patch73:	%{name}-namespace-probe.patch
Patch74:	%{name}-noversiondir.patch
Patch75:	%{name}-rpmte-segv.patch
Patch76:	%{name}-pydebuginfo.patch
Patch77:	%{name}-dirdeps-macro.patch
Patch78:	%{name}-db3-configure.patch
Patch79:	%{name}-macros-cpp.patch
Patch80:	%{name}-link-selinux.patch
Patch81:	%{name}-db-configure.patch
Patch82:	%{name}-perl-makefile.patch
Patch83:	%{name}-nosmpflags.patch
Patch84:	%{name}-hirmib-ts.patch
Patch85:	%{name}-perl_req-heredocs_pod.patch
Patch86:	%{name}-rpmv3-support.patch
Patch87:	%{name}-mono.patch
Patch88:	%{name}-poptexecpath.patch
Patch89:	%{name}-lzma-compress-level.patch
Patch90:	%{name}-gstreamer.patch
Patch91:	%{name}-gendiff.patch
Patch92:	%{name}-set-failed-on-reopen.patch
Patch93:	%{name}-debugedit-workaround.patch
Patch94:	%{name}-shescape-memfault.patch
Patch95:	%{name}-gid-uucp.patch
Patch96:	%{name}-disable-hkp.patch
Patch97:	%{name}-sigpad.patch
Patch98:	%{name}-debugdir.patch
Patch99:	%{name}-pkgconfig.patch
Patch100:	%{name}-rpm5-debugedit.patch
Patch101:	%{name}-builddir-readlink.patch
Patch102:	pythondeps-speedup.patch
Patch103:	%{name}-lua-exit-chroot-correctly.patch
URL:		http://rpm5.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1.4
BuildRequires:	beecrypt-devel >= %{beecrypt_ver}
BuildRequires:	bzip2-devel >= 1.0.2-17
%{!?with_internal_db:BuildRequires:	db-devel >= %{reqdb_ver}}
BuildRequires:	elfutils-devel >= 0.108
BuildRequires:	gettext-devel >= 0.11.4-2
BuildRequires:	keyutils-devel
%{?with_system_libmagic:BuildRequires:	libmagic-devel}
%{?with_selinux:BuildRequires:	libselinux-devel >= 1.18}
# needed only for AM_PROG_CXX used for CXX substitution in rpm.macros
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 1:1.4.2-9
%if %{with neon}
BuildRequires:	libxml2-devel
BuildRequires:	neon-devel >= 0.25.5
%endif
BuildRequires:	ossp-uuid-devel >= 1.6.2-6
BuildRequires:	patch >= 2.2
BuildRequires:	popt-devel >= %{reqpopt_ver}
%{?with_python:BuildRequires:	python-devel >= 1:2.3}
BuildRequires:	python-modules >= 1:2.3
BuildRequires:	rpm-perlprov
%{?with_python:BuildRequires:	rpm-pythonprov}
BuildRequires:	rpmbuild(macros) >= 1.351
BuildRequires:	tar >= 1:1.15.1
BuildRequires:	zlib-devel >= 1.2.3.3
%if %{with apidocs}
BuildRequires:	doxygen
BuildRequires:	ghostscript
BuildRequires:	graphviz
BuildRequires:	tetex-pdftex
%endif
%if %{with static}
# Require static library only for static build
BuildRequires:	beecrypt-static >= %{beecrypt_ver}
BuildRequires:	bzip2-static >= 1.0.2-17
%{!?with_internal_db:BuildRequires:	db-static >= %{reqdb_ver}}
BuildRequires:	elfutils-static
BuildRequires:	glibc-static >= 2.2.94
%{?with_system_libmagic:BuildRequires:	libmagic-static}
%{?with_selinux:BuildRequires:	libselinux-static >= 1.18}
BuildRequires:	popt-static >= %{reqpopt_ver}
BuildRequires:	zlib-static >= 1.2.3.3
%endif
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-lib = %{version}-%{release}
Requires:	beecrypt >= %{beecrypt_ver}
Requires:	popt >= %{reqpopt_ver}
Provides:	rpm-db-ver = %{reqdb_ver}
Obsoletes:	rpm-getdeps
%{!?with_static:Obsoletes:	rpm-utils-static}
Obsoletes:	tmpwatch-rpmrepackage
Conflicts:	glibc < 2.2.92
Conflicts:	poldek < 0.21-0.20070703.00.11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_binary_payload		w9.gzdio
%define		_noPayloadPrefix	1

# don't require very fresh rpm.macros to build
%define		__gettextize gettextize --copy --force --no-changelog; [ -f po/Makevars ] || cp -f po/Makevars{.template,}
%define		find_lang sh ./scripts/find-lang.sh $RPM_BUILD_ROOT
%define		ix86	i386 i486 i586 i686 athlon pentium3 pentium4
%define		ppc	ppc ppc7400 ppc7450
%define		x8664	amd64 ia32e x86_64

# stabilize new build environment
%define		__newcc %{?force_cc}%{!?force_cc:%{_target_cpu}-pld-linux-gcc}
%define		__newcxx %{?force_cxx}%{!?force_cxx:%{_target_cpu}-pld-linux-g++}
%define		__newcpp %{?force_cpp}%{!?force_cpp:%{_target_cpu}-pld-linux-gcc -E}

%define		_rpmlibdir /usr/lib/rpm

%define		specflags	-fno-strict-aliasing

%description
RPM is a powerful package manager, which can be used to build,
install, query, verify, update, and uninstall individual software
packages. A package consists of an archive of files, and package
information, including name, version, and description.

%description -l de.UTF-8
RPM ist ein kräftiger Packet-Manager, der verwendet sein kann zur
Installation, Anfrage, Verifizierung, Aktualisierung und
Uninstallation individueller Softwarepakete. Ein Paket besteht aus
einem Archiv Dateien und Paketinformation, inklusive Name, Version und
Beschreibung.

%description -l es.UTF-8
RPM es un poderoso administrador de paquetes, que puede ser usado para
construir, instalar, pesquisar, verificar, actualizar y desinstalar
paquetes individuales de software. Un paquete consiste en un
almacenaje de archivos, y información sobre el paquete, incluyendo
nombre, versión y descripción.

%description -l pl.UTF-8
RPM jest doskonałym programem zarządzającym pakietami. Umożliwia on
przebudowanie, instalację czy weryfikację dowolnego pakietu.
Informacje dotyczące każdego pakietu, takie jak jego opis, lista
plików wchodzących w skład pakietu, zależności od innych pakietów, są
przechowywane w bazie danych i można je uzyskać za pomocą opcji
odpytywania programu rpm.

%description -l pt_BR.UTF-8
RPM é um poderoso gerenciador de pacotes, que pode ser usado para
construir, instalar, pesquisar, verificar, atualizar e desinstalar
pacotes individuais de software. Um pacote consiste de um conjunto de
arquivos e informações adicionais, incluindo nome, versão e descrição
do pacote, permissões dos arquivos, etc.

%description -l ru.UTF-8
RPM - это мощный менеджер пакетов, который может быть использован для
создания, инсталляции, запросов (query), проверки, обновления и
удаления программных пакетов. Пакет состоит из файлового архива и
служебной информации, включающей название, версию, описание и другие
данные о пакете.

%description -l uk.UTF-8
RPM - це потужний менеджер пакетів, що може бути використаний для
створення, інсталяції, запитів (query), перевірки, поновлення та
видалення програмних пакетів. Пакет складається з файлового архіву та
службової інформації, що містить назву, версію, опис та іншу
інформацію про пакет.

%package base
Summary:	RPM base package - scripts used by rpm packages themselves
Summary(pl.UTF-8):	Podstawowy pakiet RPM - skrypty używane przez same pakiety rpm
Group:		Base
Requires:	filesystem
Obsoletes:	rpm-scripts
Obsoletes:	vserver-rpm

%description base
The RPM base package contains scripts used by rpm packages themselves.
These include:
- scripts for adding/removing groups and users needed for rpm
  packages,
- banner.sh to display %%banner messages from rpm scriptlets.

%description base -l pl.UTF-8
Pakiet podstawowy RPM zwiera skrypty używane przez same pakiety rpm.
Zawiera on:
- skrypty dodające/usuwające grupy i użytkowników dla pakietów rpm,
- banner.sh do pokazywania komunikatów %%banner dla skryptletów rpm.

%package lib
Summary:	RPMs library
Summary(pl.UTF-8):	Biblioteki RPM-a
Group:		Libraries
Requires:	beecrypt >= %{beecrypt_ver}
%{!?with_internal_db:Requires:	db >= %{reqdb_ver}}
%{?with_system_libmagic:Requires:	libmagic >= 1.15-2}
%{?with_selinux:Requires:	libselinux >= 1.18}
Requires:	ossp-uuid >= 1.6.2-4
Requires:	popt >= %{reqpopt_ver}
%{?with_internal_db:%{?with_nptl:Requires:	uname(release) >= 2.6.0}}
Requires:	zlib >= 1.2.3.3
%{?with_suggest_tags:Suggests:	xz}
Obsoletes:	rpm-libs
# avoid installing with incompatible (non-tukaani) lzma
# avoid incompatible (-M0 not supported) lzma
Conflicts:	lzma < 1:4.999.5-0.alpha.2
# avoid SEGV caused by mixed db versions
Conflicts:	poldek < 0.18.1-16

%description lib
RPMs library.

%description lib -l pl.UTF-8
Biblioteki RPM-a.

%package devel
Summary:	Header files for rpm libraries
Summary(de.UTF-8):	Header-Dateien für rpm Libraries
Summary(es.UTF-8):	Archivos de inclusión y bibliotecas para programas de manipulación de paquetes rpm
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek rpm
Summary(pt_BR.UTF-8):	Arquivos de inclusão e bibliotecas para programas de manipulação de pacotes RPM
Summary(ru.UTF-8):	Хедеры и библиотеки для программ, работающих с rpm-пакетами
Summary(uk.UTF-8):	Хедери та бібліотеки для програм, що працюють з пакетами rpm
Group:		Development/Libraries
Requires:	%{name}-lib = %{version}-%{release}
Requires:	beecrypt-devel >= %{beecrypt_ver}
Requires:	bzip2-devel
%{!?with_internal_db:Requires:	db-devel >= %{reqdb_ver}}
Requires:	elfutils-devel
Requires:	keyutils-devel
%{?with_system_libmagic:Requires:	libmagic-devel}
%{?with_selinux:Requires:	libselinux-devel}
Requires:	popt-devel >= %{reqpopt_ver}
Requires:	zlib-devel >= 1.2.3.3

%description devel
The RPM packaging system includes C libraries that make it easy to
manipulate RPM packages and databases. They are intended to ease the
creation of graphical package managers and other tools that need
intimate knowledge of RPM packages. This package contains header files
for these libraries.

%description devel -l de.UTF-8
Der RPM-Packensystem enthält eine C-Library, die macht es einfach
RPM-Pakete und Dateibanken zu manipulieren. Er eignet sich für
Vereinfachung des Schaffens grafischer Paket-Manager und anderer
Werkzeuge, die intime Kenntnis von RPM-Paketen brauchen.

%description devel -l es.UTF-8
El sistema de empaquetado RPM incluye una biblioteca C que vuelve
fácil la manipulación de paquetes y bases de datos RPM. Su objetivo es
facilitar la creación de administradores gráficos de paquetes y otras
herramientas que necesiten un conocimiento profundo de paquetes RPM.

%description devel -l pl.UTF-8
System RPM zawiera biblioteki C, które ułatwiają manipulowanie
pakietami RPM oraz bazami danych. W zamiarze ma to uprościć tworzenie
graficznych programów zarządzających pakietami oraz innych narzędzi,
które wymagają szczegółowej wiedzy na temat pakietów RPM. Ten pakiet
zawiera pliki nagłówkowe wspomnianych bibliotek.

%description devel -l pt_BR.UTF-8
O sistema de empacotamento RPM inclui uma biblioteca C que torna fácil
a manipulação de pacotes e bases de dados RPM. Seu objetivo é
facilitar a criação de gerenciadores gráficos de pacotes e outras
ferramentas que precisem de conhecimento profundo de pacotes RPM.

%description devel -l ru.UTF-8
Система управления пакетами RPM содержит библиотеку C, которая
упрощает манипуляцию пакетами RPM и соответствующими базами данных.
Эта библиотека предназначена для облегчения создания графических
пакетных менеджеров и других утилит, которым необходимо работать с
пакетами RPM.

%description devel -l uk.UTF-8
Система керування пакетами RPM містить бібліотеку C, котра спрощує
роботу з пакетами RPM та відповідними базами даних. Ця бібліотека
призначена для полегшення створення графічних пакетних менеджерів та
інших утиліт, що працюють з пакетами RPM.

%package static
Summary:	RPM static libraries
Summary(de.UTF-8):	RPMs statische Libraries
Summary(pl.UTF-8):	Biblioteki statyczne RPM-a
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para o desenvolvimento de aplicações RPM
Summary(ru.UTF-8):	Статическая библиотека для программ, работающих с rpm-пакетами
Summary(uk.UTF-8):	Статична бібліотека для програм, що працюють з пакетами rpm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	beecrypt-static >= %{beecrypt_ver}
Requires:	bzip2-static
%{!?with_internal_db:Requires:	db-static >= %{reqdb_ver}}
Requires:	elfutils-static
Requires:	keyutils-static
%{?with_system_libmagic:Requires:	libmagic-static}
Requires:	popt-static >= %{reqpopt_ver}
Requires:	zlib-static >= 1.2.3.3

%description static
RPM static libraries.

%description static -l de.UTF-8
RPMs statische Libraries.

%description static -l pl.UTF-8
Biblioteki statyczne RPM-a.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento.

%description static -l ru.UTF-8
Система управления пакетами RPM содержит библиотеку C, которая
упрощает манипуляцию пакетами RPM и соответствующими базами данных.
Это статическая библиотека RPM.

%description static -l uk.UTF-8
Система керування пакетами RPM містить бібліотеку C, котра спрощує
роботу з пакетами RPM та відповідними базами даних. Це статична
бібліотека RPM.

%package utils
Summary:	Additional utilities for managing RPM packages and database
Summary(de.UTF-8):	Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken
Summary(pl.UTF-8):	Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}
Requires:	popt >= %{reqpopt_ver}
%if "%{pld_release}" == "ac"
Conflicts:	filesystem-debuginfo < 2.0-7
%else
Conflicts:	filesystem-debuginfo < 3.0-16
%endif

%description utils
Additional utilities for managing RPM packages and database.

%description utils -l de.UTF-8
Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken.

%description utils -l pl.UTF-8
Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami.

%package utils-perl
Summary:	Additional utilities for managing RPM packages and database
Summary(de.UTF-8):	Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken
Summary(pl.UTF-8):	Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami
Group:		Applications/File
Requires:	%{name}-utils = %{version}-%{release}
Requires:	popt >= %{reqpopt_ver}

%description utils-perl
Additional utilities for managing RPM packages and database.

%description utils-perl -l de.UTF-8
Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken.

%description utils-perl -l pl.UTF-8
Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami.

%package utils-static
Summary:	Static rpm utilities
Summary(pl.UTF-8):	Statyczne narzędzia rpm
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description utils-static
Static rpm utilities for repairing system in case something with
shared libraries used by rpm become broken. Currently it contains rpmi
binary, which can be used to install/upgrade/remove packages without
using shared libraries (well, in fact with exception of NSS modules).

%description utils-static -l pl.UTF-8
Statyczne narzędzia rpm do naprawy systemu w przypadku zepsucia czegoś
związanego z bibliotekami współdzielonymi używanymi przez rpm-a.
Aktualnie pakiet zawiera binarkę rpmi, którą można użyć do instalacji,
uaktualniania lub usuwania pakietów bez udziału bibliotek statycznych
(z wyjątkiem modułów NSS).

%package build
Summary:	Scripts for building binary RPM packages
Summary(de.UTF-8):	Scripts fürs Bauen binärer RPM-Pakete
Summary(pl.UTF-8):	Skrypty pomocnicze do budowania binarnych RPM-ów
Summary(pt_BR.UTF-8):	Scripts e programas executáveis usados para construir pacotes
Summary(ru.UTF-8):	Скрипты и утилиты, необходимые для сборки пакетов
Summary(uk.UTF-8):	Скрипти та утиліти, необхідні для побудови пакетів
Group:		Applications/File
Requires(pretrans):	findutils
Requires:	%{name}-build-macros >= 1.514
Requires:	%{name}-utils = %{version}-%{release}
Requires:	/bin/id
Requires:	awk
Requires:	bzip2
Requires:	chrpath >= 0.10-4
Requires:	cpio
Requires:	diffutils
Requires:	elfutils
Requires:	file >= 4.17
Requires:	fileutils
Requires:	findutils
%if "%{pld_release}" == "ac"
%ifarch athlon
Requires:	gcc >= 3.0.3
%else
Requires:	gcc
%endif
%else
# rpmrc patch adds flags specific to gcc >= 3.4
Requires:	gcc >= 5:3.4
%endif
Requires:	glibc-devel
Requires:	grep
Requires:	gzip
Requires:	xz
Requires:	make
Requires:	patch
Requires:	sed
Requires:	sh-utils
Requires:	tar
Requires:	textutils
Provides:	rpmbuild(monoautodeps)
Provides:	rpmbuild(noauto) = 3
%ifarch %{x8664}
Conflicts:	automake < 1:1.7.9-2
Conflicts:	libtool < 2:1.5-13
%endif

%description build
Scripts for building binary RPM packages.

%description build -l de.UTF-8
Scripts fürs Bauen binärer RPM-Pakete.

%description build -l pl.UTF-8
Skrypty pomocnicze do budowania binarnych RPM-ów.

%description build -l pt_BR.UTF-8
Este pacote contém scripts e programas executáveis que são usados para
construir pacotes usando o RPM.

%description build -l ru.UTF-8
Различные вспомогательные скрипты и исполняемые программы, которые
используются для сборки RPM'ов.

%description build -l uk.UTF-8
Різноманітні допоміжні скрипти та утиліти, які використовуються для
побудови RPM'ів.

%package javaprov
Summary:	Additional utilities for checking Java provides/requires in RPM packages
Summary(pl.UTF-8):	Dodatkowe narzędzia do sprawdzania zależności kodu w Javie w pakietach RPM
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}
Requires:	file
Requires:	findutils >= 1:4.2.26
Requires:	mktemp
Requires:	unzip

%description javaprov
Additional utilities for checking Java provides/requires in RPM
packages.

%description javaprov -l pl.UTF-8
Dodatkowe narzędzia do sprawdzania zależności kodu w Javie w pakietach
RPM.

%package perlprov
Summary:	Additional utilities for checking Perl provides/requires in RPM packages
Summary(de.UTF-8):	Zusatzwerkzeuge fürs Nachsehen Perl-Abhängigkeiten in RPM-Paketen
Summary(pl.UTF-8):	Dodatkowe narzędzia do sprawdzenia zależności skryptów Perla w pakietach RPM
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}
Requires:	perl-devel
Requires:	perl-modules

%description perlprov
Additional utilities for checking Perl provides/requires in RPM
packages.

%description perlprov -l de.UTF-8
Zusatzwerkzeuge fürs Nachsehen Perl-Abhängigkeiten in RPM-Paketen.

%description perlprov -l pl.UTF-8
Dodatkowe narzędzia do sprawdzenia zależności skryptów Perla w
pakietach RPM.

%package pythonprov
Summary:	Python macros, which simplifies creation of RPM packages with Python software
Summary(pl.UTF-8):	Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w Pythonie
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}
Requires:	python
Requires:	python-modules

%description pythonprov
Python macros, which simplifies creation of RPM packages with Python
software.

%description pythonprov -l pl.UTF-8
Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w
Pythonie.

%package php-pearprov
Summary:	Additional utilities for checking PHP PEAR provides/requires in RPM packages
Summary(pl.UTF-8):	Dodatkowe narzędzia do sprawdzania zależności skryptów php w RPM
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}
Requires:	sed >= 4.0

%description php-pearprov
Additional utilities for checking PHP PEAR provides/requires in RPM
packages.

%description php-pearprov -l pl.UTF-8
Dodatkowe narzędzia do sprawdzenia zależności skryptów PHP PEAR w
pakietach RPM.

%package -n python-rpm
Summary:	Python interface to RPM library
Summary(pl.UTF-8):	Pythonowy interfejs do biblioteki RPM-a
Summary(pt_BR.UTF-8):	Módulo Python para aplicativos que manipulam pacotes RPM
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python
Obsoletes:	rpm-python

%description -n python-rpm
The rpm-python package contains a module which permits applications
written in the Python programming language to use the interface
supplied by RPM (RPM Package Manager) libraries.

This package should be installed if you want to develop Python
programs that will manipulate RPM packages and databases.

%description -n python-rpm -l pl.UTF-8
Pakiet rpm-python zawiera moduł, który pozwala aplikacjom napisanym w
Pythonie na używanie interfejsu dostarczanego przez biblioteki RPM-a.

Pakiet ten powinien zostać zainstalowany, jeśli chcesz pisać w
Pythonie programy manipulujące pakietami i bazami danych rpm.

%description -n python-rpm -l pt_BR.UTF-8
O pacote rpm-python contém um módulo que permite que aplicações
escritas em Python utilizem a interface fornecida pelas bibliotecas
RPM (RPM Package Manager).

Esse pacote deve ser instalado se você quiser desenvolver programas em
Python para manipular pacotes e bancos de dados RPM.

%package apidocs
Summary:	RPM API documentation and guides
Summary(pl.UTF-8):	Documentacja API RPM-a i przewodniki
Group:		Documentation

%description apidocs
Documentation for RPM API and guides in HTML format generated from rpm
sources by doxygen.

%description apidocs -l pl.UTF-8
Dokumentacja API RPM-a oraz przewodniki w formacie HTML generowane ze
źrodeł RPM-a przez doxygen.

%prep
%setup -q
%patch1000 -p1
#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1 -R
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch17 -p1
sed -e 's/^/@pld@/' %{SOURCE2} >>platform.in
echo '%%define	__perl_provides	%%{__perl} /usr/lib/rpm/perl.prov' > macros.perl
echo '%%define	__perl_requires	%%{__perl} /usr/lib/rpm/perl.req' >> macros.perl
echo '# obsoleted file' > macros.python
echo '%%define	__php_provides	/usr/lib/rpm/php.prov' > macros.php
echo '%%define	__php_requires	/usr/lib/rpm/php.req' >> macros.php
echo '%%define	__mono_provides	/usr/lib/rpm/mono-find-provides' > macros.mono
echo '%%define	__mono_requires	/usr/lib/rpm/mono-find-requires' >> macros.mono
install %{SOURCE10} scripts/php.prov
install %{SOURCE11} scripts/php.req
install %{SOURCE13} scripts/perl.prov
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch36 -p1
%patch37 -p1
%patch39 -p1
%patch42 -p1
%patch43 -p1
%patch82 -p1
%{!?with_neon:%patch44 -p1}
%patch45 -p1
%patch48 -p1
%patch50 -p1
%if "%{pld_release}" == "ac"
%patch18 -p1
%endif
%if "%{pld_release}" == "th"
%patch19 -p1
%endif
%if "%{pld_release}" == "ti"
%patch20 -p1
%patch35 -p1
%endif
%patch51 -p1
#%patch52 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch69 -p1
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
%patch75 -p0
# having .py sources in -debuginfo needs more testing
#%patch76 -p1
%patch77 -p0
%patch79 -p1
%patch80 -p1
%patch83 -p1
%patch84 -p1
%patch85 -p1
%patch86 -p1
%patch70 -p0
%patch87 -p1
%patch88 -p1
%patch89 -p1
%patch90 -p1
%patch91 -p1
%patch92 -p1
%patch93 -p1
%patch94 -p1
%patch95 -p1
%patch96 -p1
%patch97 -p1
%patch98 -p1
%patch99 -p1
%patch53 -p1
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1

mv -f po/{sr,sr@Latn}.po
rm -rf sqlite zlib popt

%if %{with internal_db}
%if %{without nptl}
sed -i -e 's,AM_PTHREADS_SHARED("POSIX/.*,:,' db/dist/aclocal/mutex.ac
%endif
%patch78 -p1
%patch81 -p1
%else
%patch15 -p1
rm -rf db3 db rpmdb/db.h
%endif

%if "%{pld_release}" == "ac"
%patch1067 -p1
%patch1070 -p1
%endif

# generate Group translations to *.po
awk -f %{SOURCE6} %{SOURCE1}

# update macros paths
for f in doc{,/ja,/pl}/rpm.8 doc{,/ja,/pl}/rpmbuild.8 ; do
	sed -e 's@lib/rpm/redhat@lib/rpm/pld@g' $f > ${f}.tmp
	mv -f ${f}.tmp $f
done

%build
%if %{with system_libmagic}
rm -rf file
%else
cd file
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
cd ..
%endif

%{__libtoolize}
%{__gettextize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%if %{with internal_db}
cd db3
echo -e 'AC_CONFIG_AUX_DIR(.)\nAC_PROG_LIBTOOL'> configure.ac
%{__libtoolize}
rm -f configure.ac
cd ../db
cp -f /usr/share/aclocal/libtool.m4 dist/aclocal/libtool.ac
cp -f /usr/share/automake/config.sub dist
if [ -f /usr/share/libtool/config/ltmain.sh ]; then
	cp -f /usr/share/libtool/config/ltmain.sh dist
else
	cp -f /usr/share/libtool/ltmain.sh dist
fi
cd ..
%endif

# rpm checks for CPU type at runtime, but it looks better
sed -i \
	-e 's|@host@|%{_target_cpu}-%{_target_vendor}-%{_target_os}|' \
	-e 's|@host_cpu@|%{_target_cpu}|' \
	-e 's|@host_os@|%{_target_os}|' \
	macros.in

# pass CC and CXX too in case of building with some older configure macro
# disable perl-RPM2 build, we have it in separate spec
CPPFLAGS=-I/usr/include/oosp-uuid
%configure \
	CC="%{__newcc}" \
	CXX="%{__newcxx}" \
	CPP="%{__newcpp}" \
	WITH_PERL_VERSION=no \
	%{?with_autoreqdep:--enable-adding-packages-names-in-autogenerated-dependancies} \
	--enable-shared \
	--enable-static \
	%{!?with_apidocs:--without-apidocs} \
	%{?with_python:--with-python=%{py_ver}} \
	%{!?with_python:--without-python} \
	%{!?with_selinux:--without-selinux} \
	%{?with_internal_db:--%{?with_nptl:en}%{!?with_nptl:dis}able-posixmutexes} \
	--without-db

%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CPP="%{__cpp}" \
	libdb_la=%{_libdir}/libdb.la \
	pylibdir=%{py_libdir} \
	myLDFLAGS="%{rpmldflags}" \
	staticLDFLAGS=%{?with_static:-all-static}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/%{_lib},/etc/{sysconfig,tmpwatch},%{_sysconfdir}/rpm,/var/lib/banner,/var/cache/hrmib}

%if "%{pld_release}" != "ti"
install -d $RPM_BUILD_ROOT/etc/pki/rpm-gpg
install %{SOURCE8} $RPM_BUILD_ROOT/etc/pki/rpm-gpg
install %{SOURCE9} $RPM_BUILD_ROOT/etc/pki/rpm-gpg
%endif

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	staticLDFLAGS=%{?with_static:-all-static} \
	pylibdir=%{py_libdir} \
	pkgbindir="%{_bindir}"

cat <<'EOF' > $RPM_BUILD_ROOT/etc/tmpwatch/rpm.conf
# Cleanup 90-days old repackage files.
/var/spool/repackage 2160
EOF

cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
# first platform file entry can't contain regexps
%{_target_cpu}-%{_target_vendor}-linux

%ifarch x86_64
# x86_64 things
amd64-[^-]*-[Ll]inux(-gnu)?
x86_64-[^-]*-[Ll]inux(-gnu)?
%endif
%ifarch amd64
amd64-[^-]*-[Ll]inux(-gnu)?
x86_64-[^-]*-[Ll]inux(-gnu)?
%endif
%ifarch ia32e
ia32e-[^-]*-[Ll]inux(-gnu)?
x86_64-[^-]*-[Ll]inux(-gnu)?
%endif

%ifarch athlon %{x8664}
# x86 things
athlon-[^-]*-[Ll]inux(-gnu)?
%endif
%ifarch pentium4 athlon %{x8664}
pentium4-[^-]*-[Ll]inux(-gnu)?
%endif
%ifarch pentium3 pentium4 athlon %{x8664}
pentium3-[^-]*-[Ll]inux(-gnu)?
%endif
%ifarch i686 pentium3 pentium4 athlon %{x8664}
i686-[^-]*-[Ll]inux(-gnu)?
%endif
%ifarch i586 i686 pentium3 pentium4 athlon %{x8664}
i586-[^-]*-[Ll]inux(-gnu)?
%endif
%ifarch i486 i586 i686 pentium3 pentium4 athlon %{x8664}
i486-[^-]*-[Ll]inux(-gnu)?
%endif
%ifarch %{ix86} %{x8664}
i386-[^-]*-[Ll]inux(-gnu)?
%endif

%ifarch alpha
alpha-[^-]*-[Ll]inux(-gnu)?
%endif

%ifarch ia64
ia64-[^-]*-[Ll]inux(-gnu)?
%endif

%ifarch ppc64
powerpc64-[^-]*-[Ll]inux(-gnu)?
ppc64-[^-]*-[Ll]inux(-gnu)?
%endif
%ifarch ppc ppc64
powerpc-[^-]*-[Ll]inux(-gnu)?
ppc-[^-]*-[Ll]inux(-gnu)?
%endif

%ifarch s390x
s390x-[^-]*-[Ll]inux(-gnu)?
%endif
%ifarch s390 s390x
s390-[^-]*-[Ll]inux(-gnu)?
%endif

%ifarch sparc64
sparc64-[^-]*-[Ll]inux(-gnu)?
%endif
%ifarch sparcv9 sparc64
sparcv9-[^-]*-[Ll]inux(-gnu)?
%endif
%ifarch sparc sparcv9 sparc64
sparc-[^-]*-[Ll]inux(-gnu)?
%endif
%ifarch armv5tel
armv5tel-[^-]*-[Ll]inux(-gnu)?
%endif
%ifarch armv4t armv5tel
armv4t-[^-]*-[Ll]inux(-gnu)?
%endif
%ifarch armv3t armv4t armv5tel
armv3t-[^-]*-[Ll]inux(-gnu)?
%endif
%ifarch armv5teb
armv5teb-[^-]*-[Ll]inux(-gnu)?
%endif
%ifarch armv4b armv5teb
armv4b-[^-]*-[Ll]inux(-gnu)?
%endif

# noarch
noarch-[^-]*-.*
EOF

rm $RPM_BUILD_ROOT%{_rpmlibdir}/vpkg-provides*
rm $RPM_BUILD_ROOT%{_rpmlibdir}/find-{prov,req}.pl
rm $RPM_BUILD_ROOT%{_rpmlibdir}/find-{provides,requires}.perl
rm $RPM_BUILD_ROOT%{_rpmlibdir}/find-lang.sh

# not installed since 4.4.8 (-tools-perl subpackage)
install -p scripts/rpmdiff scripts/rpmdiff.cgi $RPM_BUILD_ROOT%{_rpmlibdir}

cp -a macros.perl	$RPM_BUILD_ROOT%{_rpmlibdir}/macros.perl
cp -a macros.python	$RPM_BUILD_ROOT%{_rpmlibdir}/macros.python
cp -a macros.php	$RPM_BUILD_ROOT%{_rpmlibdir}/macros.php
cp -a macros.mono	$RPM_BUILD_ROOT%{_rpmlibdir}/macros.mono
cp -a %{SOURCE16}	$RPM_BUILD_ROOT%{_rpmlibdir}/macros.java
cp -a %{SOURCE19}	$RPM_BUILD_ROOT%{_rpmlibdir}/macros.gstreamer

install -p %{SOURCE3} $RPM_BUILD_ROOT%{_rpmlibdir}/install-build-tree
install -p %{SOURCE4} $RPM_BUILD_ROOT%{_rpmlibdir}/find-spec-bcond
install -p %{SOURCE7} $RPM_BUILD_ROOT%{_rpmlibdir}/compress-doc
install -p %{SOURCE14} $RPM_BUILD_ROOT%{_rpmlibdir}/user_group.sh
install -p %{SOURCE17} $RPM_BUILD_ROOT%{_rpmlibdir}/java-find-requires
install -p scripts/php.{prov,req}	$RPM_BUILD_ROOT%{_rpmlibdir}
install -p %{SOURCE5} $RPM_BUILD_ROOT%{_rpmlibdir}/hrmib-cache
install -p %{SOURCE18} $RPM_BUILD_ROOT%{_bindir}/banner.sh
cp -a %{SOURCE15} $RPM_BUILD_ROOT/etc/sysconfig/rpm

install -d $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo
touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Conflictname
touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Dirnames
cp -a %{SOURCE12} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Filelinktos
touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Obsoletename
touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Providename
touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Requirename

cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros <<EOF
# customized rpm macros - global for host
#
%if "%{pld_release}" == "ti"
%%distribution PLD Titanium
%else
%%distribution PLD
%endif
#
# remove or replace with file_contexts path if you want to use custom
# SELinux file contexts policy instead of one stored in packages payload
%%_install_file_context_path	%%{nil}
%%_verify_file_context_path	%%{nil}

# If non-zero, all erasures will be automagically repackaged.
#%%_repackage_all_erasures	0

# If non-zero, create debuginfo packages
#%%_enable_debug_packages	0

# Boolean (i.e. 1 == "yes", 0 == "no") that controls whether files
# marked as %doc should be installed.
#%%_excludedocs   1
EOF

cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.lang <<EOF
# Customized rpm macros - global for host
#	A colon separated list of desired locales to be installed;
#	"all" means install all locale specific files.
#
#%%_install_langs pl_PL:en_US
EOF

cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprovfiles <<EOF
# global list of files (regexps) which don't generate Provides
EOF
cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprov <<EOF
# global list of script capabilities (regexps) not to be used in Provides
EOF
cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreqfiles <<EOF
# global list of files (regexps) which don't generate Requires
^%{_examplesdir}/
^%{_docdir}/
EOF
cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreq <<EOF
# global list of script capabilities (regexps) not to be used in Requires
EOF
cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreqdep <<EOF
# global list of capabilities (SONAME, perl(module), php(module) regexps)
# which don't generate dependencies on package NAMES
# -- OpenGL implementation
^libGL.so.1
^libGLU.so.1
^libOSMesa.so
# -- Glide
^libglide3.so.3
# -- mozilla
^libgtkmozembed.so
^libgtksuperwin.so
^libxpcom.so
# -- X11 implementation
^libFS.so
^libI810XvMC.so
^libICE.so
^libSM.so
^libX11.so
^libXRes.so
^libXTrap.so
^libXaw.so
^libXcomposite.so
^libXcursor.so
^libXdamage.so
^libXdmcp.so
^libXevie.so
^libXext.so
^libXfixes.so
^libXfont.so
^libXfontcache.so
^libXft.so
^libXi.so
^libXinerama.so
^libXmu.so
^libXmuu.so
^libXp.so
^libXpm.so
^libXrandr.so
^libXrender.so
^libXss.so
^libXt.so
^libXtst.so
^libXv.so
^libXvMC.so
^libXxf86dga.so
^libXxf86misc.so
^libXxf86rush.so
^libXxf86vm.so
^libdps.so
^libdpstk.so
^libfontenc.so
^libpsres.so
^libxkbfile.so
^libxkbui.so
# -- fam / gamin
^libfam.so.0
# -- mdns-bonjour: mDNSResponder-libs / avahi-compat-libdns_sd
^libdns_sd.so.1
EOF
cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautocompressdoc <<EOF
# global list of file masks not to be compressed in DOCDIR
EOF

# for rpm -e|-U --repackage
install -d $RPM_BUILD_ROOT/var/{spool/repackage,lock/rpm}
touch $RPM_BUILD_ROOT/var/lock/rpm/transaction

# move rpm to /bin
install -d $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT%{_bindir}/rpm $RPM_BUILD_ROOT/bin
# move essential libs to /lib (libs that /bin/rpm links to)
for a in librpm-%{sover}.so librpmdb-%{sover}.so librpmio-%{sover}.so ; do
	mv -f $RPM_BUILD_ROOT%{_libdir}/$a $RPM_BUILD_ROOT/%{_lib}
	ln -s /%{_lib}/$a $RPM_BUILD_ROOT%{_libdir}/$a
done

# remove arch dependant macros which have no use on noarch
%{__sed} -i -e '
/{__spec_install_post_strip}/d
/{__spec_install_post_chrpath}/d
/{__spec_install_post_compress_modules}/d
' $RPM_BUILD_ROOT%{_rpmlibdir}/noarch-linux/macros

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/rpm/*.{la,a,py}

# (currently) not used or supported in PLD
%{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/{http.req,perldeps.pl}
# wrong location, not used anyway
%{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/rpm.{daily,log,xinetd}

# unpackaged in 4.4.9, reasons unknown
%{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/symclash.{sh,py}
%{__rm} $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/RPM.pm
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/RPM/.packlist
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/RPM/RPM.bs
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/RPM/RPM.so
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man3/RPM.3pm
%{__rm} $RPM_BUILD_ROOT%{_mandir}/{,ja,pl}/man8/rpm{cache,graph}.8

%find_lang %{name}

rm -rf manual
cp -a doc/manual manual
cp -a %{SOURCE1} manual/groups
rm -f manual/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun lib -- %{name}-lib < %{version}
echo >&2 "rpm-lib upgrade: Removing /var/lib/rpm/__db* from older rpmdb version"
rm -f /var/lib/rpm/__db*
if [ -d /vservers ]; then
	echo >&2 "rpm-lib upgrade: Removing vservers apps/pkgmgmt/base/rpm/state/__* from older rpmdb version"
	rm -f /etc/vservers/*/apps/pkgmgmt/base/rpm/state/__*
fi
echo >&2 "You should rebuild your rpmdb: rpm --rebuilddb to avoid random rpmdb errors"

%triggerpostun lib -- db4.5 < %{reqdb_ver}
echo >&2 "db4.5 upgrade: Removing /var/lib/rpm/__db* from older rpmdb version"
rm -f /var/lib/rpm/__db*
if [ -d /vservers ]; then
	echo >&2 "db4.5 upgrade: Removing vservers apps/pkgmgmt/base/rpm/state/__* from older rpmdb version"
	rm -f /etc/vservers/*/apps/pkgmgmt/base/rpm/state/__*
fi
echo >&2 "You should rebuild your rpmdb: rpm --rebuilddb to avoid random rpmdb errors"
%if "%{pld_release}" == "th"
echo >&2 "You probably want to remove db4.5 package now"
%endif

%triggerpostun -- %{name} < 4.4.9-44
%{_rpmlibdir}/hrmib-cache

%post	lib -p /sbin/ldconfig
%postun lib -p /sbin/ldconfig

%pretrans build
find %{_rpmlibdir} -name '*-linux' -type l | xargs rm -f

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES CREDITS README manual/*

%if "%{pld_release}" != "ti"
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*.asc
%endif

%attr(755,root,root) /bin/rpm

%config(noreplace) %verify(not md5 mtime size) /etc/tmpwatch/rpm.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/macros
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/macros.lang
%dir %{_sysconfdir}/rpm/sysinfo
# these are ok to be replaced
%config %verify(not md5 mtime size) %{_sysconfdir}/rpm/sysinfo/*
%config %verify(not md5 mtime size) %{_sysconfdir}/rpm/platform


%{_mandir}/man8/rpm.8*
%lang(fr) %{_mandir}/fr/man8/rpm.8*
%lang(ja) %{_mandir}/ja/man8/rpm.8*
%lang(ko) %{_mandir}/ko/man8/rpm.8*
%lang(pl) %{_mandir}/pl/man8/rpm.8*
%lang(ru) %{_mandir}/ru/man8/rpm.8*
%lang(sk) %{_mandir}/sk/man8/rpm.8*

%dir /var/lib/rpm
%dir %attr(700,root,root) /var/spool/repackage
%dir /var/lock/rpm
/var/lock/rpm/transaction

# exported package NVRA (stamped with install tid)
# net-snmp hrSWInstalledName queries, bash-completions
%dir /var/cache/hrmib

#%attr(755,root,root) %{_rpmlibdir}/rpmd
#%{!?with_static:%attr(755,root,root) %{_rpmlibdir}/rpm[eiu]}
#%attr(755,root,root) %{_rpmlibdir}/rpmk
#%attr(755,root,root) %{_rpmlibdir}/rpm[qv]

%{_rpmlibdir}/rpmpopt*
%{_rpmlibdir}/macros

%attr(755,root,root) %{_rpmlibdir}/hrmib-cache

%files base
%defattr(644,root,root,755)
%dir %{_sysconfdir}/rpm
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rpm
%dir %{_rpmlibdir}
%attr(755,root,root) %{_bindir}/banner.sh
%attr(755,root,root) %{_rpmlibdir}/user_group.sh
%dir /var/lib/banner

%files lib
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/librpm-%{sover}.so
%attr(755,root,root) /%{_lib}/librpmdb-%{sover}.so
%attr(755,root,root) /%{_lib}/librpmio-%{sover}.so
%attr(755,root,root) %{_libdir}/librpmbuild-%{sover}.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librpm.so
%attr(755,root,root) %{_libdir}/librpm-%{sover}.so
%attr(755,root,root) %{_libdir}/librpmio.so
%attr(755,root,root) %{_libdir}/librpmio-%{sover}.so
%attr(755,root,root) %{_libdir}/librpmdb.so
%attr(755,root,root) %{_libdir}/librpmdb-%{sover}.so
%attr(755,root,root) %{_libdir}/librpmbuild.so
%{_libdir}/librpm.la
%{_libdir}/librpmbuild.la
%{_libdir}/librpmdb.la
%{_libdir}/librpmio.la
%{_includedir}/rpm
%{_pkgconfigdir}/rpm.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/librpm.a
%{_libdir}/librpmbuild.a
%{_libdir}/librpmdb.a
%{_libdir}/librpmio.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rpm2cpio
%attr(755,root,root) %{_bindir}/rpmdigest
%attr(755,root,root) %{_bindir}/rpmmtree
%attr(755,root,root) %{_bindir}/rpmrepo
%{!?with_system_libmagic:%attr(755,root,root) %{_bindir}/rpmfile}
%attr(755,root,root) %{_rpmlibdir}/debugedit
%attr(755,root,root) %{_rpmlibdir}/find-debuginfo.sh
%attr(755,root,root) %{_rpmlibdir}/rpmdb_loadcvt
%attr(755,root,root) %{_rpmlibdir}/rpmdeps
%attr(755,root,root) %{_rpmlibdir}/tgpg
%{_mandir}/man8/rpm2cpio.8*
%{_mandir}/man8/rpmdeps.8*
%lang(ja) %{_mandir}/ja/man8/rpm2cpio.8*
%lang(ko) %{_mandir}/ko/man8/rpm2cpio.8*
%lang(pl) %{_mandir}/pl/man8/rpm2cpio.8*
%lang(pl) %{_mandir}/pl/man8/rpmdeps.8*
%lang(ru) %{_mandir}/ru/man8/rpm2cpio.8*

%files utils-perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_rpmlibdir}/rpmdiff*

%if %{with static}
%files utils-static
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rpm[ieu]
%attr(755,root,root) %{_rpmlibdir}/rpm[ieu]
%endif

%files build
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/noauto*
%attr(755,root,root) %{_rpmlibdir}/brp-*
%attr(755,root,root) %{_rpmlibdir}/check-files
# %attr(755,root,root) %{_rpmlibdir}/check-prereqs
%attr(755,root,root) %{_rpmlibdir}/compress-doc
%attr(755,root,root) %{_rpmlibdir}/cross-build
%attr(755,root,root) %{_rpmlibdir}/find-spec-bcond
%attr(755,root,root) %{_rpmlibdir}/getpo.sh
%attr(755,root,root) %{_rpmlibdir}/install-build-tree
#%attr(755,root,root) %{_rpmlibdir}/config.*
#%attr(755,root,root) %{_rpmlibdir}/mkinstalldirs
%attr(755,root,root) %{_rpmlibdir}/u_pkg.sh
%attr(755,root,root) %{_rpmlibdir}/executabledeps.sh
%attr(755,root,root) %{_rpmlibdir}/libtooldeps.sh
%attr(755,root,root) %{_rpmlibdir}/mimetypedeps.sh
# needs hacked pkg-config to return anything
%attr(755,root,root) %{_rpmlibdir}/pkgconfigdeps.sh
#%attr(755,root,root) %{_rpmlibdir}/rpmb
#%attr(755,root,root) %{_rpmlibdir}/rpmt
%{_rpmlibdir}/noarch-*
%ifarch %{ix86}
%{_rpmlibdir}/i?86*
%{_rpmlibdir}/pentium*
%{_rpmlibdir}/athlon*
%endif
%ifarch alpha
%{_rpmlibdir}/alpha*
%endif
%ifarch ia64
%{_rpmlibdir}/ia64*
%endif
%ifarch mips mipsel mips64 mips64el
%{_rpmlibdir}/mips*
%endif
%ifarch %{ppc}
%{_rpmlibdir}/ppc*
%endif
%ifarch sparc sparcv9 sparc64
%{_rpmlibdir}/sparc*
%endif
%ifarch %{x8664}
%{_rpmlibdir}/amd64*
%{_rpmlibdir}/ia32e*
%{_rpmlibdir}/x86_64*
%endif
%ifarch armv5tel armv4t armv3t armv5teb armv4b
%{_rpmlibdir}/arm*
%endif
# must be here for "Requires: rpm-*prov" to work
%{_rpmlibdir}/macros.gstreamer
%{_rpmlibdir}/macros.java
%{_rpmlibdir}/macros.mono
%{_rpmlibdir}/macros.perl
%{_rpmlibdir}/macros.php
# not used yet ... these six depend on perl
#%attr(755,root,root) %{_rpmlibdir}/http.req
#%attr(755,root,root) %{_rpmlibdir}/magic.prov
#%attr(755,root,root) %{_rpmlibdir}/magic.req
#%{_rpmlibdir}/sql.prov
#%{_rpmlibdir}/sql.req
#%{_rpmlibdir}/tcl.req

%attr(755,root,root) %{_bindir}/gendiff
%attr(755,root,root) %{_bindir}/rpmbuild

%{_mandir}/man1/gendiff.1*
%{_mandir}/man8/rpmbuild.8*
%lang(ja) %{_mandir}/ja/man8/rpmbuild.8*
%lang(pl) %{_mandir}/pl/man1/gendiff.1*
%lang(pl) %{_mandir}/pl/man8/rpmbuild.8*

%files javaprov
%defattr(644,root,root,755)
%attr(755,root,root) %{_rpmlibdir}/java-find-requires
# needs jar (any jdk), jcf-dump (gcc-java) to work
%attr(755,root,root) %{_rpmlibdir}/javadeps.sh

%files perlprov
%defattr(644,root,root,755)
%attr(755,root,root) %{_rpmlibdir}/perl.*
#%attr(755,root,root) %{_rpmlibdir}/perldeps.pl
#%attr(755,root,root) %{_rpmlibdir}/find-perl-*
#%attr(755,root,root) %{_rpmlibdir}/find-*.perl
#%attr(755,root,root) %{_rpmlibdir}/find-prov.pl
#%attr(755,root,root) %{_rpmlibdir}/find-req.pl
#%attr(755,root,root) %{_rpmlibdir}/get_magic.pl

%files pythonprov
%defattr(644,root,root,755)
%{_rpmlibdir}/macros.python
%attr(755,root,root) %{_rpmlibdir}/pythondeps.sh

%files php-pearprov
%defattr(644,root,root,755)
%attr(755,root,root) %{_rpmlibdir}/php*

%if %{with python}
%files -n python-rpm
%defattr(644,root,root,755)
%dir %{py_sitedir}/rpm
%attr(755,root,root) %{py_sitedir}/rpm/*.so
%{py_sitedir}/rpm/*.py[co]
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc apidocs
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rpm.spec,v $
Revision 1.837.2.42.2.49.2.94  2010/07/20 05:40:35  glen
- note about removing db4.5 being a good idea

Revision 1.837.2.42.2.49.2.93  2010/07/09 08:08:06  arekm
- rel 43; rebuild with new python

Revision 1.837.2.42.2.49.2.92  2010/06/10 10:46:51  tommat
- added arm support
- TODO added

Revision 1.837.2.42.2.49.2.91  2010/06/05 10:19:00  baggins
- rel 42
- don't use deprecated option names, man ld

Revision 1.837.2.42.2.49.2.90  2010/06/03 22:38:23  arekm
- rel 41; -Wl,--no-add-needed for ldflags

Revision 1.837.2.42.2.49.2.89  2010/05/28 19:30:13  megabajt
- disabled generation of R: libtool(foo) and pkgconfig(foo);
  see revision 1.5.2.4 of rpm-macros-th.patch for details
- release 40

Revision 1.837.2.42.2.49.2.88  2010/05/08 12:33:10  sparky
- added lua-exit-chroot-correctly patch
- release: 39

Revision 1.837.2.42.2.49.2.87  2010/03/30 08:51:00  hawk
- release 38

Revision 1.837.2.42.2.49.2.86  2010/03/21 12:21:02  glen
- speedup python deps generating by elimiating repeating calls to obtain python version; rel 37

Revision 1.837.2.42.2.49.2.85  2010/03/10 21:55:15  glen
- make defaults reverse of default for ease comment out and go

Revision 1.837.2.42.2.49.2.84  2010/02/17 13:09:06  arekm
- xz instead of lzma

Revision 1.837.2.42.2.49.2.83  2010/02/02 22:26:32  glen
- fixed pkgconfig file; rel 36

Revision 1.837.2.42.2.49.2.82  2010/02/01 11:37:10  glen
- missing sources to respect --strict-build-id; rel 35

Revision 1.837.2.42.2.49.2.81  2010/01/27 18:31:26  glen
- update tools/debugedit.c from rpm5.org
- readlink buildroot to match elf file contents in case buildroot is symlinked
- rel 34

Revision 1.837.2.42.2.49.2.80  2009/12/31 12:40:24  megabajt
- release 33

Revision 1.837.2.42.2.49.2.79  2009/11/27 15:23:28  draenog
- missing Rs and BR for keyutils

Revision 1.837.2.42.2.49.2.78  2009/10/28 18:16:45  pluto
- release 32 (fixed debuginfo)

Revision 1.837.2.42.2.49.2.77  2009/10/26 09:25:26  arekm
- rel 31

Revision 1.837.2.42.2.49.2.76  2009/10/22 06:32:04  arekm
- rel 30

Revision 1.837.2.42.2.49.2.75  2009/10/22 06:29:10  arekm
- more zlib deps

Revision 1.837.2.42.2.49.2.74  2009/10/18 20:00:55  paszczus
- updated R: zlib >= 1.2.3.3 because of librpmio-4.5.so: undefined symbol adler32_combine64, thx seba (at) oclab.one.pl

Revision 1.837.2.42.2.49.2.73  2009/10/15 23:22:37  glen
- updated chroot fix so that it would be open(2) wrapper fix via Open(2)
  fixes LP#395177, tested
- rel 29

Revision 1.837.2.42.2.49.2.72  2009/10/15 07:21:42  glen
- add rpm.pc; rel 28

Revision 1.837.2.42.2.49.2.71  2009/10/11 18:35:49  arekm
- rel 27

Revision 1.837.2.42.2.49.2.70  2009/10/11 18:34:39  arekm
- fix host_os, too

Revision 1.837.2.42.2.49.2.69  2009/09/20 19:40:43  arekm
- db4.8 support

Revision 1.837.2.42.2.49.2.68  2009/09/17 13:31:03  pluto
- release 26 (find-debuginfo.sh fixed.)

Revision 1.837.2.42.2.49.2.67  2009/09/03 13:38:41  arekm
- rel 25

Revision 1.837.2.42.2.49.2.66  2009/08/08 13:56:40  arekm
- rel 24; add unglobal macro

Revision 1.837.2.42.2.49.2.65  2009/07/04 09:51:58  megabajt
- release 23

Revision 1.837.2.42.2.49.2.64  2009/06/22 20:06:31  tommat
- more sparcv9 files

Revision 1.837.2.42.2.49.2.63  2009/06/19 16:37:24  glen
- hardcode gid=adm for filesystem; rel 22

Revision 1.837.2.42.2.49.2.62  2009/06/16 16:10:22  tommat
- undefine apidocs on sparcs, no graphviz for now

Revision 1.837.2.42.2.49.2.61  2009/06/08 21:13:08  glen
- keep /usr/lib/debug to filesystem package; rel 21

Revision 1.837.2.42.2.49.2.60  2009/06/08 09:32:56  glen
- add signature padding in header patch from rpm-4.5@rpm5 cvs; rel 20

Revision 1.837.2.42.2.49.2.59  2009/06/04 22:34:07  glen
- disable hkp://

Revision 1.837.2.42.2.49.2.58  2009/06/04 21:49:51  glen
- match uucp for our FHS; rel 19

Revision 1.837.2.42.2.49.2.57  2009/05/20 00:10:14  glen
- workaround for .jar files with stupid permissions inside; rel 18

Revision 1.837.2.42.2.49.2.56  2009/05/13 16:14:58  glen
- rel 17, fix out of bounds memory access in :shescape headerformat

Revision 1.837.2.42.2.49.2.55  2009/04/12 13:41:03  megabajt
- added -debugedit-workaround.patch (don't fail on debugedit which exits with
  "canonicalization unexpectedly shrank by one character").
  See https://bugzilla.redhat.com/show_bug.cgi?id=482903 for details.
- release 16

Revision 1.837.2.42.2.49.2.54  2009/03/26 11:50:46  glen
- -build R: macros r1.514 %addusertogroup with -q (MISSINGOK behaviour); rel 15

Revision 1.837.2.42.2.49.2.53  2009/03/23 08:36:25  arekm
- rel 14; build-id aware debuginfo

Revision 1.837.2.42.2.49.2.52  2009/03/12 22:41:19  glen
- fixed java deps generation; rel 12

Revision 1.837.2.42.2.49.2.51  2009/03/03 21:35:14  glen
- set failed state on upgrade if package reopen failed to avoid losing pkg info from db; rel 12

Revision 1.837.2.42.2.49.2.50  2009/02/11 15:46:04  blues
- gendiff patch added

Revision 1.837.2.42.2.49.2.49  2009/01/22 17:32:39  megabajt
- added macros.gstreamer to -build subpackage (now there is no need to
  install gstreamer on src builders)
- release 11

Revision 1.837.2.42.2.49.2.48  2008/12/31 20:32:39  megabajt
- added -gstreamer.patch (support for gstreamer codecs provides)
- release 10

Revision 1.837.2.42.2.49.2.47  2008/11/26 21:20:23  pluto
- provide tmpwatch config for repackage files, O: tmpwatch-rpmrepackage, release 9.

Revision 1.837.2.42.2.49.2.46  2008/11/23 16:16:02  arekm
- rel 8; default lzma compression level to 5

Revision 1.837.2.42.2.49.2.45  2008/11/23 15:20:24  blues
- added lzma_w7 patch - first attempt to make lzma usable on non-high-end
  machines

Revision 1.837.2.42.2.49.2.44  2008/11/21 16:24:43  arekm
- rel 7; postun never fails now (by patrys)

Revision 1.837.2.42.2.49.2.43  2008/11/20 10:30:51  glen
- don't add versions to suggests (use conflict for that), poldek can't see these being satisfied then; rel 6

Revision 1.837.2.42.2.49.2.42  2008/11/13 09:55:08  glen
- don't need the poldek killing, i hope!; rel 5

Revision 1.837.2.42.2.49.2.41  2008/11/09 16:29:44  glen
- fix popt exec searchpath to be /usr/lib/rpm not /usr/lib/rpm/4.5; rel 4

Revision 1.837.2.42.2.49.2.40  2008/11/09 14:25:44  megabajt
- added -mono.patch (fix mono dependency extraction)
- release 3

Revision 1.837.2.42.2.49.2.39  2008/11/09 09:53:31  arekm
- rel 2; rebuild with fixed libdb.la

Revision 1.837.2.42.2.49.2.38  2008/11/07 09:54:36  arekm
- rel 1; 4.5 is new Th rpm

Revision 1.837.2.42.2.49.2.37  2008/11/07 01:13:45  glen
- jbj_: you do need the reversed arrows patch too.

Revision 1.837.2.42.2.49.2.36  2008/11/05 17:25:53  arekm
- rel 0.63; depend on our latest lzma (which is patched to support -M0)

Revision 1.837.2.42.2.49.2.35  2008/11/05 10:37:20  glen
- should be ok without release too

Revision 1.837.2.42.2.49.2.34  2008/11/05 10:26:56  arekm
- bump R: rpm-build-macros to 1.486-1

Revision 1.837.2.42.2.49.2.33  2008/10/30 23:22:38  glen
- note from pluto

Revision 1.837.2.42.2.49.2.32  2008/10/27 20:46:34  glen
- newer fix for installbeforeerase with config loss; rel 0.61

Revision 1.837.2.42.2.49.2.31  2008/10/26 21:21:15  glen
- disable debuginfo and repackage for ti

Revision 1.837.2.42.2.49.2.30  2008/10/26 21:20:41  glen
- typo in changelog

Revision 1.837.2.42.2.49.2.29  2008/10/26 21:05:33  glen
- fix php dep generators, rpm2cpio problem seems solved

Revision 1.837.2.42.2.49.2.28  2008/10/26 20:36:06  glen
- package /etc/rpm/macros.lang

Revision 1.837.2.42.2.49.2.27  2008/10/26 19:05:36  glen
- more complete LSB rpm v3 support from mandriva (can open ooo rpm-s now)
- use RPMTAG_INSTALLTIME instead of RPMTAG_INSTALLTID when filling hrmib cache
- %_smp_mflags cames from rpm-build-macros, don't let platform.in overwrite it
- move %_install_langs to separate file: /etc/rpm/macros.lang (for better rpm updates)

Revision 1.837.2.42.2.49.2.26  2008/10/04 22:37:26  glen
- fix perl build without neon

Revision 1.837.2.42.2.49.2.25  2008/10/04 21:40:09  glen
- copy libtool files in build as these are externally dependant files

Revision 1.837.2.42.2.49.2.24  2008/09/06 18:21:56  megabajt
- added -link-selinux.patch to kill undefined reference in librpmdb
- release 0.56

Revision 1.837.2.42.2.49.2.23  2008/09/04 17:32:13  glen
- require ossp-uuid in /lib

Revision 1.837.2.42.2.49.2.22  2008/09/04 17:19:13  glen
- neon patch updated, disable neon; rel 0.55

Revision 1.837.2.42.2.49.2.21  2008/09/03 16:48:15  glen
- oops, rpm tarball already contains db dist, so only db4.5 is possible with internal db
- however build still fails with it(some libtool problem?)

Revision 1.837.2.42.2.49.2.20  2008/09/03 16:23:24  glen
- try refresh libtool for internal_db
- fix missing __cxx macro

Revision 1.837.2.42.2.49.2.19  2008/09/03 15:39:10  glen
- add nptl bcond for internal db
- discard db-robustness patch (not used in db 4.5 either)

Revision 1.837.2.42.2.49.2.18  2008/09/03 14:52:35  glen
- internal db build fixes

Revision 1.837.2.42.2.49.2.17  2008/09/03 14:44:28  glen
- deem. need different sources for db due md5

Revision 1.837.2.42.2.49.2.16  2008/09/03 14:37:10  glen
- include db 4.5.20.2 for internal db, internal db fixes

Revision 1.837.2.42.2.49.2.15  2008/09/03 13:06:32  glen
- internal_db bcond

Revision 1.837.2.42.2.49.2.14  2008/09/02 08:01:32  glen
- s/uuid-devel/ossp-uuid-devel

Revision 1.837.2.42.2.49.2.13  2008/09/01 22:10:36  glen
- patches in order

Revision 1.837.2.42.2.49.2.12  2008/09/01 21:59:57  glen
- merged changes from rpm-4_4_9 so ac/th/ti all can build from this branch

Revision 1.837.2.42.2.49.2.11  2008/08/29 22:33:58  glen
- restore rpm --initdb

Revision 1.837.2.42.2.49.2.10  2008/08/29 21:13:07  glen
- restore cleanbody.patch
- BR uuid-devel

Revision 1.837.2.42.2.49.2.9  2008/08/28 12:06:35  glen
- -perl_req-skip_multiline.patch by radek

Revision 1.837.2.42.2.49.2.8  2008/08/27 22:09:59  glen
- keys in /etc/pki/rpm-gpg now, remove duplicate files

Revision 1.837.2.42.2.49.2.7  2008/08/27 21:46:57  glen
- match upper case 'Linux' in platform file too (some foreign packages use that) (jajcus@rpm-4_4_9)

Revision 1.837.2.42.2.49.2.6  2008/08/27 21:46:16  glen
- add th rpm gpg key, sync with AC-branch

Revision 1.837.2.42.2.49.2.5  2008/08/27 20:44:12  glen
- add -perl_req-use_base.patch

Revision 1.837.2.42.2.49.2.4  2008/08/27 18:29:20  glen
- dirdep disable macros, proper rpmte-segv

Revision 1.837.2.42.2.49.2.3  2008/08/19 12:21:57  glen
- move /etc/rpm to rpm-base

Revision 1.837.2.42.2.49.2.2  2008/08/19 07:45:52  glen
- fix perl macros, rpm2cpio for lzma

Revision 1.837.2.42.2.49.2.1  2008/07/29 12:58:51  glen
- start 4.5

Revision 1.837.2.42.2.49  2008/07/17 17:23:36  glen
- add %_excludedocs sample to macros

Revision 1.837.2.42.2.48  2008/07/14 16:25:17  glen
- -build pretrans find, xargs from findutils; rel 70

Revision 1.837.2.42.2.47  2008-05-28 17:40:55  glen
- move platform macro comments inside %ifarch

Revision 1.837.2.42.2.46  2008-05-22 10:07:04  glen
- killing poldek discards rpm output, so output anything before poldek is killed; rel 69

Revision 1.837.2.42.2.45  2008-05-04 09:30:11  glen
- no lua for %tmpdir; rel 68

Revision 1.837.2.42.2.44  2008-04-29 20:54:32  glen
- print error when tempfile creation failed; rel 67

Revision 1.837.2.42.2.43  2008-04-25 14:04:16  glen
- resolves also pld bug #120

Revision 1.837.2.42.2.42  2008-04-25 13:31:51  glen
- disable user(foo), group(foo) namespace probes
  fixes unwanted trigger fires (i.e mailman pkg uninstall); rel 66
  pld bug #120

Revision 1.837.2.42.2.41  2008-04-20 17:48:06  matkor

- Release 65. R: zlib >= 1.2.3 added.
  Upgrading in ancient AC does not update zlib leaving rpm with unresolved symbols.

Revision 1.837.2.42.2.40  2008-04-08 10:43:18  glen
- disable reverse arrows patch (broken); rel 64

Revision 1.837.2.42.2.39  2008-04-07 19:57:52  glen
- fsync() for closing files; rel 63

Revision 1.837.2.42.2.38  2008-04-07 19:33:03  glen
- rpm handles non-orphaned file->dir okay. remove pretrans to skip confusing error on clean install; rel 62

Revision 1.837.2.42.2.37  2008-04-07 19:01:23  glen
- fix for erase-before-install problem; rel 61

Revision 1.837.2.42.2.36  2008-04-04 16:06:13  glen
- add --norepackage option to rpm; rel 60

Revision 1.837.2.42.2.35  2008-03-31 21:54:08  glen
- rel 59

Revision 1.837.2.42.2.34  2008-03-31 20:06:43  glen
- too much yank/paste; rel 58

Revision 1.837.2.42.2.33  2008-03-31 20:04:54  glen
- no recursive tmpdir macros; rel 57

Revision 1.837.2.42.2.32  2008-03-27 17:49:35  glen
- make easier th sync

Revision 1.837.2.42.2.31  2008-03-27 17:43:41  glen
- add %pld_release macro; rel 56

Revision 1.837.2.42.2.30  2008-03-27 16:13:22  glen
- simplify plaform file creation

Revision 1.837.2.42.2.29  2008-03-25 17:00:17  glen
- removing vservers rpmdb regionfiles trigger; rel 55

Revision 1.837.2.42.2.28  2008-03-24 20:10:48  glen
- noautoreqdep libdns_sd.so.1; rel 54

Revision 1.837.2.42.2.27  2008-03-24 07:06:35  glen
- HEAD merge (qboosh):
- updated perl-macros patch to handle different forms of "require version" deps
- perl_req patch dropped (merged into perl-macros)
- removed /usr symlinks from -lib (already in -devel, where they should be)

Revision 1.837.2.42.2.26  2008-03-13 23:56:27  glen
- seems %_tmppath leaks, rel 52

Revision 1.837.2.42.2.25  2008-03-13 14:28:47  glen
- sync poldek/rpm commandline args: add --downgrade to rpm; rel 51

Revision 1.837.2.42.2.24  2008-03-11 14:22:45  glen
- can't call rpm --rebuilddb from inside rpm, as then rpmdb changes are lost; rel 50

Revision 1.837.2.42.2.23  2008-03-07 10:39:19  glen
- ah, what the hell, rebuilddb after upgrade

Revision 1.837.2.42.2.22  2008-03-06 12:11:15  glen
- just in case remove __db* after poldek has been terminated

Revision 1.837.2.42.2.21  2008-03-05 07:36:44  glen
- rel 47 (for util-vserver %{_tmpdir} macro w/o subshell)

Revision 1.837.2.42.2.20  2008-02-23 21:19:36  glen
- rpm-hrmib-cache: query whole database

Revision 1.837.2.42.2.19  2008-02-20 20:45:03  glen
- AC debuginfo version

Revision 1.837.2.42.2.18  2008-02-20 16:57:55  glen
- include the hrmib-cache script in %{_rpmlibdir} in case somebody wants to run it manually; rel 44

Revision 1.837.2.42.2.17  2008-02-20 16:53:29  glen
- add /var/cache/hrmib dir and initial fillup

Revision 1.837.2.42.2.16  2008-02-18 21:49:42  glen
- jbj says commas not likely supported in triggers
- hourly update r43

Revision 1.837.2.42.2.15  2008-02-18 21:25:48  glen
- daily update r42

Revision 1.837.2.42.2.14  2008-02-18 07:47:28  glen
- oh well, once again need to kill db region files; rel 41

Revision 1.837.2.42.2.13  2008-02-17 15:10:08  marcus
- rebuild with db4.5 without nptl. rel.40.

Revision 1.837.2.42.2.12  2008-02-15 15:50:30  glen
- merge from th

Revision 1.837.2.42.2.11  2008-02-15 15:46:44  glen
- obsolete some old rpm-scripts package (rpm-base currently)

Revision 1.837.2.42.2.10  2008-02-15 03:31:24  glen
- poldek terminate hack

Revision 1.837.2.42.2.9  2008-02-15 00:37:30  glen
- really don't package it here

Revision 1.837.2.42.2.8  2008-02-15 00:35:56  glen
- find-lang moved to rpm-build-maros package; rel 37

Revision 1.837.2.42.2.7  2008-02-14 13:07:24  glen
- rpm must have conflicts < poldek, and poldek must have requires > rpm for upgrade to work; rel 36

Revision 1.837.2.42.2.6  2008-02-14 08:40:34  glen
- don't compress gpg key

Revision 1.837.2.42.2.5  2008-02-11 13:28:39  glen
- alter system files in pretrans

Revision 1.837.2.42.2.4  2008-02-09 15:02:49  glen
- copy proper file as rpm gpg key; rel 34

Revision 1.837.2.42.2.3  2008-02-09 14:52:23  glen
- add 'alpha-[^-]*-linux(-gnu)?' to platform on alpha
- ppc macro doesn't exist
- rel 33

Revision 1.837.2.42.2.2  2008-02-09 14:23:04  glen
- add pld ac rpm gpg key; rel 32

Revision 1.837.2.42.2.1  2008-02-06 22:04:47  glen
- rpm 4.4.9 for ac; rel 31

Revision 1.837.2.42  2008-02-06 17:35:11  glen
- change R: filesystem-debuginfo to conflicts

Revision 1.837.2.41  2008-02-05 20:05:33  glen
- fix removal of files from %_netsharedpath on uninstall; rel 30

Revision 1.837.2.40  2008-02-01 16:48:28  glen
- find-lang 1.27

Revision 1.837.2.39  2008-02-01 16:41:38  glen
- revert filezilla related hack; rel 28

Revision 1.837.2.38  2008-02-01 11:45:58  glen
- fix syntax error; rel 27

Revision 1.837.2.37  2008-01-31 23:26:52  glen
- rel 26

Revision 1.837.2.36  2008-01-31 23:05:37  glen
- find_lang r1.26
- find-debug needs updated filesystem-debuginfo; rel 25

Revision 1.837.2.35  2008-01-31 09:55:44  glen
- do not install or package find-php-{requires,provides} (outdated)

Revision 1.837.2.34  2008-01-31 09:43:41  glen
- use php-pear autodep scripts from AC-branch; rel 24

Revision 1.837.2.33  2008-01-30 21:28:58  glen
- allow skipping implicit rm -rf from %clean with %__spec_clean_body redefine
- do not be so evil to skip %clean from specfile; rel 23

Revision 1.837.2.32  2008-01-28 19:31:28  kosmo
- added rpm-v3-support.patch

Revision 1.837.2.31  2008-01-25 00:24:52  glen
- require up to date rpm macros; rel 22

Revision 1.837.2.30  2008-01-25 00:21:13  glen
- reset also LC_ALL,LINGUAS,LANGUAGE,LC_MESSAGES (moved from rpm-build-macros); rel 21

Revision 1.837.2.29  2008-01-15 00:56:03  glen
- get rid of rpm-getdeps package

Revision 1.837.2.28  2008-01-13 13:14:30  glen
- 4.4.9 is LGPL

Revision 1.837.2.27  2008-01-11 20:24:33  glen
- mv -f just in case

Revision 1.837.2.26  2008-01-11 20:13:13  patrys
- use the new format, don't care about old contents

Revision 1.837.2.25  2008-01-11 20:04:57  glen
- prepare /etc/rpm/sysinfo being a dir

Revision 1.837.2.24  2008-01-10 11:18:04  glen
- remove rpmenv files on version upgrade and on -lib package trigger

Revision 1.837.2.23  2008-01-10 11:16:24  glen
- remove rpmenv files on rpm upgrade

Revision 1.837.2.22  2008-01-10 10:37:54  glen
- check-files cleanup

Revision 1.837.2.21  2008-01-10 10:33:12  glen
- -feliminate-dwarf2-dups disabled until PR ld/3290 is fixed.

Revision 1.837.2.20  2008-01-10 09:26:44  glen
- check that find_lang rev is not outdated

Revision 1.837.2.19  2008-01-10 09:17:22  glen
- don't hardcode python version

Revision 1.837.2.18  2008-01-06 18:26:43  qboosh
- release 20: really find_lang 1.25

Revision 1.837.2.17  2008-01-06 18:04:53  qboosh
- find_lang 1.25 (cleanup, consistency, symlinked catalogs support)
- release 19

Revision 1.837.2.16  2007-12-22 18:00:31  glen
- chown syntax in --setugids

Revision 1.837.2.15  2007-12-20 16:02:47  arekm
- rel 18

Revision 1.837.2.14  2007-12-16 20:32:58  qboosh
- C: for non-tukaani lzma

Revision 1.837.2.13  2007-12-10 13:59:24  arekm
- rel 17; fix rpm2cpio

Revision 1.837.2.12  2007-12-10 12:07:04  arekm
- rel 16; use new lzma

Revision 1.837.2.11  2007-11-27 19:26:49  qboosh
- release 15

Revision 1.837.2.10  2007-11-27 19:17:05  qboosh
- versioned Provides rpmbuild(find_lang)

Revision 1.837.2.9  2007-11-24 23:09:40  ankry
- added rpm-man_pl.patch, rel. 14

Revision 1.837.2.8  2007-11-18 14:22:01  arekm
- rel 13; fix rebuilddb with root

Revision 1.837.2.7  2007-11-15 07:35:32  arekm
- rel 12; drop pie; add chroot hack from pld-devel ml

Revision 1.837.2.6  2007-11-10 10:30:18  witekfl
- added the tar_as_secondary_source.patch
- rel 11

Revision 1.837.2.5  2007/11/02 13:01:32  arekm
- fix --root --rebuilddb

Revision 1.837.2.4  2007/11/02 12:04:00  arekm
- use rpm provided check files (checks symlinks, too)

Revision 1.837.2.3  2007/11/01 10:13:48  arekm
- rel 10 (still far from being perfect)

Revision 1.837.2.2  2007/10/31 14:45:11  arekm
- chroot workarounds from rpm5

Revision 1.837.2.1  2007/10/16 09:40:22  tommat
- added rpm-lzma-size_t.patch, to use system size_t, fixes sparc64 lzma
  compressed packages installation
- tested on sparc, sparc64, i686
- rel 9.1 to test more

Revision 1.837  2007/09/23 15:37:44  arekm
- rel 9; _openall_before_chroot set to 1 as kind of cure for most of chroot problems

Revision 1.836  2007/08/30 11:00:36  glen
- rpm-build-tools now available from own spec; rel 8

Revision 1.835  2007/08/09 07:24:58  arekm
- require latest poldek

Revision 1.834  2007/08/07 20:06:37  arekm
- rel 6; backport db 4.6.18 changes from rpm-4.5

Revision 1.833  2007/08/04 12:07:50  qboosh
- fixed libtool-deps patch, release 5

Revision 1.832  2007/07/26 14:55:59  arekm
- rel 4; rebuild with db4.6

Revision 1.831  2007/07/25 19:29:03  glen
- add amd64- to platform file (to be able to use ac rpm-s); rel 3

Revision 1.830  2007/07/20 11:10:27  arekm
- add powerpc- arch to platform file

Revision 1.829  2007/06/25 17:52:41  arekm
- rel 2; revert back to ac-compatible DB_HASH; doing rpm --rebuilddb etc will be probably required after upgrade from rel 1

Revision 1.828  2007/06/18 21:43:04  tommat
- added rpm-rpmdb.patch

Revision 1.827  2007/06/18 18:35:28  qboosh
- forced -fPIE/-pie needs gcc 3.4

Revision 1.826  2007/06/18 18:00:17  tommat
- added rpm-sparc64.patch

Revision 1.825  2007/06/13 21:05:55  arekm
- rel rpm 1/ poldek .12

Revision 1.824  2007/06/10 11:49:11  arekm
- support lzma in rpm2cpio (which fixes lzma payload handling in mc, too)

Revision 1.823  2007/06/08 21:30:59  arekm
- drop -gnu from default platform

Revision 1.822  2007/06/02 22:00:52  arekm
- looks like we need ix86 arches in x86_64 platform file for multiarch support

Revision 1.821  2007/05/29 17:05:34  arekm
- first platform file entry can't contain regexps

Revision 1.820  2007/05/29 15:25:30  arekm
- new urls

Revision 1.819  2007/05/27 20:13:13  arekm
- one more optional gnu

Revision 1.818  2007/05/27 20:04:01  arekm
- fix platform patterns

Revision 1.817  2007/05/27 18:43:46  arekm
- try platform scoring

Revision 1.816  2007/05/26 14:18:46  qboosh
- updated arch-x86_64 patch, include macros for amd64/ia32e/x86_64 flavours

Revision 1.815  2007/05/24 19:29:43  qboosh
- updated mono,javadeps patches to stop using javadeps by default
- release 0.2

Revision 1.814  2007/05/23 18:29:17  arekm
- fix some realloc problems; apply arch-x86_64 (it's needed otherwise we end with amd64 not x86_64 on th)

Revision 1.813  2007/05/23 14:47:00  patrys
- rpmrc is obsolete, drop it from python bindings

Revision 1.812  2007/05/23 14:41:55  arekm
- correct poldek conflict

Revision 1.811  2007/05/22 22:38:02  qboosh
- actually package javaprov stuff

Revision 1.810  2007/05/22 22:33:13  qboosh
- it's enough to run doxygen once, by main make

Revision 1.809  2007/05/22 20:26:22  qboosh
- merged javadeps patch and javaprov package from AC-branch
- unified some caps in descs

Revision 1.808  2007/05/22 20:05:55  qboosh
- ugid.h is installed now

Revision 1.807  2007/05/22 20:05:09  qboosh
- merged macros.java and find-java-requires script from AC-branch

Revision 1.806  2007/05/22 19:48:00  qboosh
- rpm2cpio is a script now, rpm2cpio.sh vanished

Revision 1.805  2007/05/22 18:06:19  qboosh
- updated pld-autodep,doxygen_hack,no-sqlite patches
- removed obsolete glob patch

Revision 1.804  2007/05/21 22:50:35  qboosh
- updated pl.po,link,po,arch-x86_64 patches
- removed obsolete rpmdeps-segv,ds,locale,empty-rpmlock-path,version,iconv-translit patches

Revision 1.803  2007/05/21 20:50:08  arekm
- start messing with 4.4.9; patches need update

Revision 1.802  2007/05/20 23:38:54  arekm
- fix version in rpmlib.h for poldek; it looks usable now

Revision 1.801  2007/04/10 20:32:48  glen
- without suggest_tags bcond for bootstraping

Revision 1.800  2007/04/10 16:05:14  arekm
- make sure internal glob is used (in form of patch)

Revision 1.799  2007/04/08 23:08:24  qboosh
- use popt 1.10.8, db 4.5.20

Revision 1.798  2007/04/08 23:04:20  qboosh
- started update to 4.4.8
- updated pl.po,rpmrc,rpmpopt,compress-doc,etc_dir,system_libs-more,php-deps,
  link,magic-usesystem,po,pld-autodep,doxygen_hack,reduce-stack-usage,no-neon,
  mono,macros,libtool-deps,iconv-translit patches
- removed obsolete examplesaredoc,getcwd,libdir64,libdir-links,pythondeps,
  vendor,patch-quote,requireseq,lzma,lzma2,skip-backups,CVE-2006-5466,
  build-failure-error,mcontext,FileDigestParametrized,lua_linking patches
- added pkgconfigdeps patch

Revision 1.797  2007/03/11 13:32:52  tommat
- added lua linking patch

Revision 1.796  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.795  2007/02/12 18:32:45  qrczak
- rpm-iconv-translit.patch: when converting strings to the locale
  encoding, unconvertible characters are approximated. If the source
  is not valid UTF-8, the string is passed without conversion instead
  of assuming ISO-8859-1.
- Release 13

Revision 1.794  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.793  2007/02/08 16:31:06  arekm
- fix previous commit message

Revision 1.792  2007/02/08 16:28:50  arekm
- rel 12; On athlon machine used as i486 builder:
  rpmbuild -bb test.spec --without x --target=i486-pld-linux
  makes rpm set optflags: -O2 -fno-strict-aliasing -fwrapv -march=athlon

  rpmbuild -bb test.spec --target=i486-pld-linux  --without x
  makes rpm set optflags: -O2 -fno-strict-aliasing -fwrapv -march=i486

  Added /etc/rpm/platform fixes that.

Revision 1.791  2007/02/08 14:06:38  arekm
- added /etc/rpm/platform; machine scoring will be done by regexps trough this file in future rpm

Revision 1.790  2007/02/08 13:47:53  arekm
- rel 11; should fix _host, _build, _target issues

Revision 1.789  2007/02/08 08:43:05  arekm
- system provides like some /proc files needed by dev.spec

Revision 1.788  2007/02/08 08:32:49  arekm
- rpmrc is obsolete

Revision 1.787  2007/02/06 21:49:08  arekm
- rel 10 with no symbolic thing

Revision 1.786  2007/02/03 22:38:12  arekm
- rel 9; rebuild

Revision 1.785  2007/01/24 10:22:46  arekm
- rel 8

Revision 1.784  2007/01/20 23:45:00  qboosh
- more comments on repackaging

Revision 1.783  2007/01/20 17:48:35  qboosh
- pl.po updates (in pl.po,etc_dir,build-failure-error patches)
- removed obsolete print-requires patch (RPMSENSE_PREREQ is non-zero again)

Revision 1.782  2007/01/14 16:23:09  arekm
- rel 7; require new poldek; cvs fix for rpmlib dep

Revision 1.781  2007/01/14 15:42:34  arekm
- rebuild with rpm-FileDigestParameterized.patch patch

Revision 1.780  2007/01/13 23:42:53  arekm
- rel 6

Revision 1.779  2007/01/13 19:46:05  arekm
- rel 5; generate libtool Requires only for -devel subpackages

Revision 1.778  2007/01/09 22:59:05  arekm
- rel 4; disable scriplets executable() - unsolvable in some cases in current rpm

Revision 1.777  2007/01/09 16:11:01  arekm
- rel 3; display some error message when source files are missing

Revision 1.776  2007/01/06 17:41:51  arekm
- rel 2; fix tmppaths defs; buildroot is now defined in system macros as read only macro (so BuildRoot in spec does nothing)

Revision 1.775  2007/01/05 14:20:04  arekm
- rel 1 for rpm 4.4.7

Revision 1.774  2006/12/01 10:19:30  qboosh
- added CVE-2006-5466 patch

Revision 1.773  2006/11/26 18:12:02  arekm
- detect libtool files using file binary; fixes libqt-mt.la missdetection

Revision 1.772  2006/10/18 18:12:05  arekm
- rel 0.2; resurrect rpmrc; fix magicfile path

Revision 1.771  2006/10/17 21:06:11  arekm
- builds; all patches fixed

Revision 1.770  2006/10/17 19:11:02  arekm
- 2 left

Revision 1.769  2006/10/17 19:00:22  arekm
- started update to 4.4.7; only 4 patches to fix

Revision 1.768  2006/09/29 22:56:12  pluto
- debugcflags -= -feliminate-dwarf2-dups disabled until PR ld/3290 is fixed.
- release 1.17.

Revision 1.767  2006/09/26 22:11:45  wrobell
- rel. 1.16 to rebuild with python 2.5 (final)

Revision 1.766  2006/09/25 18:11:03  witekfl
- added repackage-wo-lzma.patch
- to install and then uninstall repackaged packages use --nodigest

Revision 1.765  2006/09/24 18:31:32  witekfl
- drop bzip2_fallback. It didn't work.

Revision 1.764  2006/09/12 09:59:26  pluto
- move new R:binutils, to -build subpkg.

Revision 1.763  2006/09/12 08:39:12  pluto
- R: fixed binutils for optimized debuginfo (-feliminate-dwarf2-dups).

Revision 1.762  2006/09/08 18:41:47  witekfl
- added bzip2_fallback.patch
- rel 1.14

Revision 1.761  2006/09/04 18:07:16  wolf
- S lzma for rpm-lib

Revision 1.760  2006/09/02 21:49:55  witekfl
- fixed without apidocs

Revision 1.759  2006/09/02 20:15:07  pluto
- .gnu_debuglink on line, release 1.12.

Revision 1.758  2006/08/25 09:09:41  wrobell
- build with python 2.5, rel 1.11

Revision 1.757  2006/08/05 20:34:57  sparky
- added as_needed-fix patch

Revision 1.756  2006/08/05 20:22:38  sparky
- build require latest macros
- added some BR for apidocs
- rel 1.10

Revision 1.755  2006/07/24 06:46:14  freetz
- removed junk, rel.1.9

Revision 1.754  2006/07/24 06:40:27  freetz
- rel.1.8 (--as-needed by default)

Revision 1.753  2006/06/30 21:10:51  pluto
- release 1.7 (debuginfo fixes).

Revision 1.752  2006/05/25 15:29:12  wolf
- changed R: rc-scripts to R: filesystem
- rel 1.6

Revision 1.751  2006/05/24 13:23:34  wolf
- move R: rc-scripts from main package to -base subpackage
- rel 1.5

Revision 1.750  2006/05/24 09:09:46  glen
- need newer rpm-build-macros not to conflict with payload specification

Revision 1.749  2006/05/23 23:27:07  wolf
- R: rc-scripts (/etc/sysconfig)
- rel 1.4

Revision 1.748  2006/05/23 23:02:11  wolf
- use lzma compression by default
- rel 1.3

Revision 1.747  2006/05/23 20:57:44  pluto
- release 1.2.

Revision 1.746  2006/05/23 20:07:49  glen
- PEAR build macros moved to rpm-build-macros

Revision 1.745  2006/05/05 12:18:14  pluto
- obsolete patch removed.

Revision 1.744  2006/05/02 16:48:07  glen
- add truncate-cvslog, skip-backups.patch patches

Revision 1.743  2006/04/30 14:33:32  glen
- partial merge from HEAD

Revision 1.742  2006/04/27 07:59:56  glen
- adapter

Revision 1.741  2006/04/23 13:42:46  witekfl
- added lzma patches (lzma has high compression ratio even better than bzip2).
  Use w9.lzdio as payload. Not heavily tested.
- rpm-build requires lzma
- release 1

Revision 1.740  2006/04/17 17:31:43  qboosh
- updated to 4.4.6 (with erasure reordering acc. to CHANGES)
- updated pl.po,system_libs,po,doxygen_hack,no-neon,pld-autodep patches

Revision 1.739  2006/03/30 15:47:37  arekm
- rel 2; pear fixes

Revision 1.738  2006/03/20 17:29:30  qboosh
- updated file R in -build

Revision 1.737  2006/03/20 16:29:38  wolf
- update for file 4.17
- rel 1

Revision 1.736  2006/03/07 17:53:36  glen
- PEAR dep is in each php-pear package to avoid BR loops

Revision 1.735  2006/03/04 15:59:11  qboosh
- pl.po fix, release 0.3

Revision 1.734  2006/03/03 18:03:27  wrobell
- disable morearchs patch for now as it is broken
- rel. 0.2

Revision 1.733  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.732  2006/02/28 22:05:57  qboosh
- updated to 4.4.5
- updated pl.po,etc_dir,libdir-links,doxygen_hack,empty-rpmlock-path,no-neon,morearchs patches
- removed obsolete symlinks patch

Revision 1.731  2006/02/21 21:53:55  pluto
- fix symlinks install, release 1.

Revision 1.730  2006/02/17 15:24:15  glen
- remove .packlist and perllocal.pod for perl packages, rel 0.6

Revision 1.729  2006/02/12 00:29:27  sparky
- first hack is unneeded

Revision 1.728  2006/02/11 21:30:37  sparky
- more --host=ppc7450-pld-linux-gnu must be killed

Revision 1.727  2006/02/11 20:38:14  sparky
- added morearchs, not very clean as _host must be ppc-pld-linux-gnu for those
